cdac.medinfo.model

## Class Payer

- java.lang.Object
- - cdac.medinfo.model.Payer

-     public class Payer
      extends java.lang.Object

  This class specify Payer Section Details. Payers contains data on the patient's payers, whether a third party insurance, self-pay, other payer or guarantor, or some combination of payers, and is used to define which entity is the responsible fiduciary for the financial aspects of a patient's care.

  This class has the following attributes:

  1. payerName (String)
  2. policyType (String)
  3. coveredPartyID (String)
  4. authorization (String)
  5. coverageType (String)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Payer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAuthorization()` Returns the Authorization.
    `java.lang.String` | `getCoverageType()` Returns the Coverage Type.
    `java.lang.String` | `getCoveredPartyID()` Returns the Covered Party ID.
    `java.lang.String` | `getPayerName()` Returns the Payer Name.
    `java.lang.String` | `getPolicyType()` Returns the Policy Type.
    `void` | `setAuthorization(java.lang.String authorization)` Sets the the Authorization.
    `void` | `setCoverageType(java.lang.String coverageType)` Sets the Coverage Type.
    `void` | `setCoveredPartyID(java.lang.String coveredPartyID)` Sets the Covered Party ID.
    `void` | `setPayerName(java.lang.String payerName)` Sets the Payer Name.
    `void` | `setPolicyType(java.lang.String policyType)` Sets the Policy Type.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Payer

          public Payer()

  - ### Method Detail

    - #### getPayerName

          public java.lang.String getPayerName()

      Returns the Payer Name.
      Returns:
        the payerName

    - #### setPayerName

          public void setPayerName(java.lang.String payerName)

      Sets the Payer Name.
      Parameters:
        `payerName` - Specifies the Payer Name.

    - #### getPolicyType

          public java.lang.String getPolicyType()

      Returns the Policy Type.
      Returns:
        the policyType

    - #### setPolicyType

          public void setPolicyType(java.lang.String policyType)

      Sets the Policy Type.
      Parameters:
        `policyType` - Specifies the Policy Type.

    - #### getCoveredPartyID

          public java.lang.String getCoveredPartyID()

      Returns the Covered Party ID.
      Returns:
        the coveredPartyID

    - #### setCoveredPartyID

          public void setCoveredPartyID(java.lang.String coveredPartyID)

      Sets the Covered Party ID.
      Parameters:
        `coveredPartyID` - Specifies the Covered Party ID.

    - #### getAuthorization

          public java.lang.String getAuthorization()

      Returns the Authorization.
      Returns:
        the authorization

    - #### setAuthorization

          public void setAuthorization(java.lang.String authorization)

      Sets the the Authorization.
      Parameters:
        `authorization` - Specifies the Authorization.

    - #### getCoverageType

          public java.lang.String getCoverageType()

      Returns the Coverage Type.
      Returns:
        the coverageType

    - #### setCoverageType

          public void setCoverageType(java.lang.String coverageType)

      Sets the Coverage Type.
      Parameters:
        `coverageType` - Specifies the Coverage Type.